# This package is superseded by the version included in Test-Harness ≥ 3.29
# included in Fedora 21 onwards

Name:		perl-TAP-Harness-Env
Version:	3.30
Release:	3%{?dist}
Summary:	Parsing harness related environmental variables where appropriate
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Test-Harness
Source0:	http://cpan.metacpan.org/authors/id/L/LE/LEONT/Test-Harness-%{version}.tar.gz
Patch0:		TAP-Harness-Env-3.30-Makefile.patch
Patch1:		TAP-Harness-Env-3.30-tests.patch
BuildArch:	noarch
# Module Build
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(constant)
BuildRequires:	perl(strict)
BuildRequires:	perl(TAP::Object)
BuildRequires:	perl(Text::ParseWords)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	/usr/bin/prove
BuildRequires:	perl(App::Prove)
BuildRequires:	perl(App::Prove::State)
BuildRequires:	perl(App::Prove::State::Result)
BuildRequires:	perl(base)
BuildRequires:	perl(Config)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(lib)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(TAP::Base)
BuildRequires:	perl(TAP::Formatter::Base)
BuildRequires:	perl(TAP::Formatter::Console)
BuildRequires:	perl(TAP::Harness)
BuildRequires:	perl(TAP::Parser)
BuildRequires:	perl(TAP::Parser::Aggregator)
BuildRequires:	perl(TAP::Parser::Grammar)
BuildRequires:	perl(TAP::Parser::Iterator)
BuildRequires:	perl(TAP::Parser::Iterator::Array)
BuildRequires:	perl(TAP::Parser::Iterator::Process)
BuildRequires:	perl(TAP::Parser::Iterator::Stream)
BuildRequires:	perl(TAP::Parser::IteratorFactory)
BuildRequires:	perl(TAP::Parser::Multiplexer)
BuildRequires:	perl(TAP::Parser::Result)
BuildRequires:	perl(TAP::Parser::ResultFactory)
BuildRequires:	perl(TAP::Parser::Scheduler)
BuildRequires:	perl(TAP::Parser::Source)
BuildRequires:	perl(TAP::Parser::SourceHandler)
BuildRequires:	perl(TAP::Parser::SourceHandler::Executable)
BuildRequires:	perl(TAP::Parser::SourceHandler::File)
BuildRequires:	perl(TAP::Parser::SourceHandler::Handle)
BuildRequires:	perl(TAP::Parser::SourceHandler::Perl)
BuildRequires:	perl(TAP::Parser::SourceHandler::RawTAP)
BuildRequires:	perl(TAP::Parser::YAMLish::Reader)
BuildRequires:	perl(TAP::Parser::YAMLish::Writer)
BuildRequires:	perl(Test::Harness)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(YAML)
# Optional test requirements not yet in EPEL-7
%if "%{?rhel}" != "7"
BuildRequires:	perl(TAP::Formatter::HTML)
BuildRequires:	perl(TAP::Harness::Archive)
%endif
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Conflicts:	perl-Test-Harness >= 3.29

%description
This module implements the environmental variables that Test::Harness for use
with TAP::Harness.

%prep
%setup -q -n Test-Harness-%{version}

# Remove bits that we're going to pick up from the system Test-Harness
# Also remove bundled Test-Simple modules
perl -ne 'print unless /^(bin\/|HACKING\.pod|lib\/|t\/lib\/Test\/)/ and not /^lib\/TAP\/Harness\/Env\.pm$/;' MANIFEST > MANIFEST.mod
for f in $(grep -Fvxf MANIFEST.mod MANIFEST); do
	rm $f
done
mv MANIFEST.mod MANIFEST

# Remove Makefile references to files we've just deleted
%patch0

# Fix up tests that assume all of Test-Harness is here and is the same version
%patch1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/TAP/Harness/Env.pm
%{_mandir}/man3/TAP::Harness::Env.3pm*

%changelog
* Wed Feb 26 2014 Paul Howarth <paul@city-fan.org> - 3.30-3
- Incorporate further review feedback (#1067098)
  - Remove bundled Test-Simple from test suite and use system version instead
  - Add further build requirements for the test suite

* Wed Feb 26 2014 Paul Howarth <paul@city-fan.org> - 3.30-2
- Incorporate review feedback (#1067098)
  - Remove files in %%prep that we won't be shipping, so as to run test suite
    against system packages rather than bundled modules
  - Fix up tests that assume all of Test-Harness is here and is the same
    version
  - Specify all dependencies
- Clean up for modern rpmbuild since we're only targeting F-20 and EPEL-7

* Wed Feb 19 2014 Paul Howarth <paul@city-fan.org> - 3.30-1
- Initial RPM version
